## GstVideoTimeCode

field_count must be 0 for progressive video and 1 or 2 for interlaced.

A representation of a SMPTE time code.

hours must be positive and less than 24. Will wrap around otherwise. minutes and seconds must be positive and less than 60. frames must be less than or equal to config.fps_n / config.fps_d These values are NOT automatically normalized.

### Members

`config` (GstVideoTimeCodeConfig) –

the corresponding GstVideoTimeCodeConfig

`hours` (guint) –

the hours field of GstVideoTimeCode

`minutes` (guint) –

the minutes field of GstVideoTimeCode

`seconds` (guint) –

the seconds field of GstVideoTimeCode

`frames` (guint) –

the frames field of GstVideoTimeCode

`field_count` (guint) –

Interlaced video field count

Since : 1.10

## GstVideo.VideoTimeCode

field_count must be 0 for progressive video and 1 or 2 for interlaced.

A representation of a SMPTE time code.

hours must be positive and less than 24. Will wrap around otherwise. minutes and seconds must be positive and less than 60. frames must be less than or equal to config.fps_n / config.fps_d These values are NOT automatically normalized.

### Members

`config` (GstVideo.VideoTimeCodeConfig) –

the corresponding GstVideo.VideoTimeCodeConfig

`hours` (Number) –

the hours field of GstVideo.VideoTimeCode

`minutes` (Number) –

the minutes field of GstVideo.VideoTimeCode

`seconds` (Number) –

the seconds field of GstVideo.VideoTimeCode

`frames` (Number) –

the frames field of GstVideo.VideoTimeCode

`field_count` (Number) –

Interlaced video field count

Since : 1.10

## GstVideo.VideoTimeCode

field_count must be 0 for progressive video and 1 or 2 for interlaced.

A representation of a SMPTE time code.

hours must be positive and less than 24. Will wrap around otherwise. minutes and seconds must be positive and less than 60. frames must be less than or equal to config.fps_n / config.fps_d These values are NOT automatically normalized.

### Members

`config` (GstVideo.VideoTimeCodeConfig) –

the corresponding GstVideo.VideoTimeCodeConfig

`hours` (int) –

the hours field of GstVideo.VideoTimeCode

`minutes` (int) –

the minutes field of GstVideo.VideoTimeCode

`seconds` (int) –

the seconds field of GstVideo.VideoTimeCode

`frames` (int) –

the frames field of GstVideo.VideoTimeCode

`field_count` (int) –

Interlaced video field count

Since : 1.10

### Constructors

#### gst_video_time_code_new

    GstVideoTimeCode *
    gst_video_time_code_new (guint fps_n,
                             guint fps_d,
                             GDateTime * latest_daily_jam,
                             GstVideoTimeCodeFlags flags,
                             guint hours,
                             guint minutes,
                             guint seconds,
                             guint frames,
                             guint field_count)

field_count is 0 for progressive, 1 or 2 for interlaced. latest_daiy_jam reference is stolen from caller.

Parameters:

`fps_n` –

Numerator of the frame rate

`fps_d` –

Denominator of the frame rate

`latest_daily_jam` –

The latest daily jam of the GstVideoTimeCode

`flags` –

GstVideoTimeCodeFlags

`hours` –

the hours field of GstVideoTimeCode

`minutes` –

the minutes field of GstVideoTimeCode

`seconds` –

the seconds field of GstVideoTimeCode

`frames` –

the frames field of GstVideoTimeCode

`field_count` –

Interlaced video field count

Returns –

a new GstVideoTimeCode with the given values. The values are not checked for being in a valid range. To see if your timecode actually has valid content, use gst_video_time_code_is_valid.

Since : 1.10

#### GstVideo.VideoTimeCode.prototype.new

    function GstVideo.VideoTimeCode.prototype.new(fps_n: Number, fps_d: Number, latest_daily_jam: GDateTime (not introspectable), flags: GstVideo.VideoTimeCodeFlags, hours: Number, minutes: Number, seconds: Number, frames: Number, field_count: Number): {
        // javascript wrapper for 'gst_video_time_code_new'
    }

field_count is 0 for progressive, 1 or 2 for interlaced. latest_daiy_jam reference is stolen from caller.

Parameters:

`fps_n` (Number) –

Numerator of the frame rate

`fps_d` (Number) –

Denominator of the frame rate

`latest_daily_jam` (GDateTime (not introspectable)) –

The latest daily jam of the GstVideo.VideoTimeCode

`flags` (GstVideo.VideoTimeCodeFlags) –

GstVideo.VideoTimeCodeFlags

`hours` (Number) –

the hours field of GstVideo.VideoTimeCode

`minutes` (Number) –

the minutes field of GstVideo.VideoTimeCode

`seconds` (Number) –

the seconds field of GstVideo.VideoTimeCode

`frames` (Number) –

the frames field of GstVideo.VideoTimeCode

`field_count` (Number) –

Interlaced video field count

Returns (GstVideo.VideoTimeCode) –

a new GstVideo.VideoTimeCode with the given values. The values are not checked for being in a valid range. To see if your timecode actually has valid content, use GstVideo.VideoTimeCode.prototype.is_valid.

Since : 1.10

#### GstVideo.VideoTimeCode.new

    def GstVideo.VideoTimeCode.new (fps_n, fps_d, latest_daily_jam, flags, hours, minutes, seconds, frames, field_count):
        #python wrapper for 'gst_video_time_code_new'

field_count is 0 for progressive, 1 or 2 for interlaced. latest_daiy_jam reference is stolen from caller.

Parameters:

`fps_n` (int) –

Numerator of the frame rate

`fps_d` (int) –

Denominator of the frame rate

`latest_daily_jam` (GDateTime (not introspectable)) –

The latest daily jam of the GstVideo.VideoTimeCode

`flags` (GstVideo.VideoTimeCodeFlags) –

GstVideo.VideoTimeCodeFlags

`hours` (int) –

the hours field of GstVideo.VideoTimeCode

`minutes` (int) –

the minutes field of GstVideo.VideoTimeCode

`seconds` (int) –

the seconds field of GstVideo.VideoTimeCode

`frames` (int) –

the frames field of GstVideo.VideoTimeCode

`field_count` (int) –

Interlaced video field count

Returns (GstVideo.VideoTimeCode) –

a new GstVideo.VideoTimeCode with the given values. The values are not checked for being in a valid range. To see if your timecode actually has valid content, use GstVideo.VideoTimeCode.is_valid.

Since : 1.10

#### gst_video_time_code_new_empty

    GstVideoTimeCode *
    gst_video_time_code_new_empty ()

Returns –

a new empty, invalid GstVideoTimeCode

Since : 1.10

#### GstVideo.VideoTimeCode.prototype.new_empty

    function GstVideo.VideoTimeCode.prototype.new_empty(): {
        // javascript wrapper for 'gst_video_time_code_new_empty'
    }

Returns (GstVideo.VideoTimeCode) –

a new empty, invalid GstVideo.VideoTimeCode

Since : 1.10

#### GstVideo.VideoTimeCode.new_empty

    def GstVideo.VideoTimeCode.new_empty ():
        #python wrapper for 'gst_video_time_code_new_empty'

Returns (GstVideo.VideoTimeCode) –

a new empty, invalid GstVideo.VideoTimeCode

Since : 1.10

#### gst_video_time_code_new_from_date_time

    GstVideoTimeCode *
    gst_video_time_code_new_from_date_time (guint fps_n,
                                            guint fps_d,
                                            GDateTime * dt,
                                            GstVideoTimeCodeFlags flags,
                                            guint field_count)

The resulting config->latest_daily_jam is set to midnight, and timecode is set to the given time.

This might return a completely invalid timecode, use gst_video_time_code_new_from_date_time_full to ensure that you would get NULL instead in that case.

Parameters:

`fps_n` –

Numerator of the frame rate

`fps_d` –

Denominator of the frame rate

`dt` –

GDateTime to convert

`flags` –

GstVideoTimeCodeFlags

`field_count` –

Interlaced video field count

Returns –

the GstVideoTimeCode representation of dt.

Since : 1.12

#### GstVideo.VideoTimeCode.prototype.new_from_date_time

    function GstVideo.VideoTimeCode.prototype.new_from_date_time(fps_n: Number, fps_d: Number, dt: GDateTime (not introspectable), flags: GstVideo.VideoTimeCodeFlags, field_count: Number): {
        // javascript wrapper for 'gst_video_time_code_new_from_date_time'
    }

The resulting config->latest_daily_jam is set to midnight, and timecode is set to the given time.

This might return a completely invalid timecode, use GstVideo.VideoTimeCode.prototype.new_from_date_time_full to ensure that you would get NULL instead in that case.

Parameters:

`fps_n` (Number) –

Numerator of the frame rate

`fps_d` (Number) –

Denominator of the frame rate

`dt` (GDateTime (not introspectable)) –

GDateTime (not introspectable) to convert

`flags` (GstVideo.VideoTimeCodeFlags) –

GstVideo.VideoTimeCodeFlags

`field_count` (Number) –

Interlaced video field count

Returns (GstVideo.VideoTimeCode) –

the GstVideo.VideoTimeCode representation of dt.

Since : 1.12

#### GstVideo.VideoTimeCode.new_from_date_time

    def GstVideo.VideoTimeCode.new_from_date_time (fps_n, fps_d, dt, flags, field_count):
        #python wrapper for 'gst_video_time_code_new_from_date_time'

The resulting config->latest_daily_jam is set to midnight, and timecode is set to the given time.

This might return a completely invalid timecode, use GstVideo.VideoTimeCode.new_from_date_time_full to ensure that you would get NULL instead in that case.

Parameters:

`fps_n` (int) –

Numerator of the frame rate

`fps_d` (int) –

Denominator of the frame rate

`dt` (GDateTime (not introspectable)) –

GDateTime (not introspectable) to convert

`flags` (GstVideo.VideoTimeCodeFlags) –

GstVideo.VideoTimeCodeFlags

`field_count` (int) –

Interlaced video field count

Returns (GstVideo.VideoTimeCode) –

the GstVideo.VideoTimeCode representation of dt.

Since : 1.12

#### gst_video_time_code_new_from_date_time_full

    GstVideoTimeCode *
    gst_video_time_code_new_from_date_time_full (guint fps_n,
                                                 guint fps_d,
                                                 GDateTime * dt,
                                                 GstVideoTimeCodeFlags flags,
                                                 guint field_count)

The resulting config->latest_daily_jam is set to midnight, and timecode is set to the given time.

Parameters:

`fps_n` –

Numerator of the frame rate

`fps_d` –

Denominator of the frame rate

`dt` –

GDateTime to convert

`flags` –

GstVideoTimeCodeFlags

`field_count` –

Interlaced video field count

Returns ( [nullable]) –

the GstVideoTimeCode representation of dt, or NULL if no valid timecode could be created.

Since : 1.16

#### GstVideo.VideoTimeCode.prototype.new_from_date_time_full

    function GstVideo.VideoTimeCode.prototype.new_from_date_time_full(fps_n: Number, fps_d: Number, dt: GDateTime (not introspectable), flags: GstVideo.VideoTimeCodeFlags, field_count: Number): {
        // javascript wrapper for 'gst_video_time_code_new_from_date_time_full'
    }

The resulting config->latest_daily_jam is set to midnight, and timecode is set to the given time.

Parameters:

`fps_n` (Number) –

Numerator of the frame rate

`fps_d` (Number) –

Denominator of the frame rate

`dt` (GDateTime (not introspectable)) –

GDateTime (not introspectable) to convert

`flags` (GstVideo.VideoTimeCodeFlags) –

GstVideo.VideoTimeCodeFlags

`field_count` (Number) –

Interlaced video field count

Returns (GstVideo.VideoTimeCode) –

the GstVideo.VideoTimeCode representation of dt, or NULL if no valid timecode could be created.

Since : 1.16

#### GstVideo.VideoTimeCode.new_from_date_time_full

    def GstVideo.VideoTimeCode.new_from_date_time_full (fps_n, fps_d, dt, flags, field_count):
        #python wrapper for 'gst_video_time_code_new_from_date_time_full'

The resulting config->latest_daily_jam is set to midnight, and timecode is set to the given time.

Parameters:

`fps_n` (int) –

Numerator of the frame rate

`fps_d` (int) –

Denominator of the frame rate

`dt` (GDateTime (not introspectable)) –

GDateTime (not introspectable) to convert

`flags` (GstVideo.VideoTimeCodeFlags) –

GstVideo.VideoTimeCodeFlags

`field_count` (int) –

Interlaced video field count

Returns (GstVideo.VideoTimeCode) –

the GstVideo.VideoTimeCode representation of dt, or NULL if no valid timecode could be created.

Since : 1.16

#### gst_video_time_code_new_from_string

    GstVideoTimeCode *
    gst_video_time_code_new_from_string (const gchar* tc_str)

Parameters:

`tc_str` –

The string that represents the GstVideoTimeCode

Returns ( [nullable]) –

a new GstVideoTimeCode from the given string or NULL if the string could not be passed.

Since : 1.12

#### GstVideo.VideoTimeCode.prototype.new_from_string

    function GstVideo.VideoTimeCode.prototype.new_from_string(tc_str: String): {
        // javascript wrapper for 'gst_video_time_code_new_from_string'
    }

Parameters:

`tc_str` (String) –

The string that represents the GstVideo.VideoTimeCode

Returns (GstVideo.VideoTimeCode) –

a new GstVideo.VideoTimeCode from the given string or NULL if the string could not be passed.

Since : 1.12

#### GstVideo.VideoTimeCode.new_from_string

    def GstVideo.VideoTimeCode.new_from_string (tc_str):
        #python wrapper for 'gst_video_time_code_new_from_string'

Parameters:

`tc_str` (str) –

The string that represents the GstVideo.VideoTimeCode

Returns (GstVideo.VideoTimeCode) –

a new GstVideo.VideoTimeCode from the given string or NULL if the string could not be passed.

Since : 1.12

### Methods

#### gst_video_time_code_add_frames

    gst_video_time_code_add_frames (GstVideoTimeCode * tc,
                                    gint64 frames)

Adds or subtracts frames amount of frames to tc. tc needs to contain valid data, as verified by gst_video_time_code_is_valid.

Parameters:

`tc` –

a valid GstVideoTimeCode

`frames` –

How many frames to add or subtract

Since : 1.10

#### GstVideo.VideoTimeCode.prototype.add_frames

    function GstVideo.VideoTimeCode.prototype.add_frames(frames: Number): {
        // javascript wrapper for 'gst_video_time_code_add_frames'
    }

Adds or subtracts frames amount of frames to tc. tc needs to contain valid data, as verified by GstVideo.VideoTimeCode.prototype.is_valid.

Parameters:

`tc` (GstVideo.VideoTimeCode) –

a valid GstVideo.VideoTimeCode

`frames` (Number) –

How many frames to add or subtract

Since : 1.10

#### GstVideo.VideoTimeCode.add_frames

    def GstVideo.VideoTimeCode.add_frames (self, frames):
        #python wrapper for 'gst_video_time_code_add_frames'

Adds or subtracts frames amount of frames to tc. tc needs to contain valid data, as verified by GstVideo.VideoTimeCode.is_valid.

Parameters:

`tc` (GstVideo.VideoTimeCode) –

a valid GstVideo.VideoTimeCode

`frames` (int) –

How many frames to add or subtract

Since : 1.10

#### gst_video_time_code_add_interval

    GstVideoTimeCode *
    gst_video_time_code_add_interval (const GstVideoTimeCode * tc,
                                      const GstVideoTimeCodeInterval * tc_inter)

This makes a component-wise addition of tc_inter to tc. For example, adding ("01:02:03:04", "00:01:00:00") will return "01:03:03:04". When it comes to drop-frame timecodes, adding ("00:00:00;00", "00:01:00:00") will return "00:01:00;02" because of drop-frame oddities. However, adding ("00:09:00;02", "00:01:00:00") will return "00:10:00;00" because this time we can have an exact minute.

Parameters:

`tc` –

The GstVideoTimeCode where the diff should be added. This must contain valid timecode values.

`tc_inter` –

The GstVideoTimeCodeInterval to add to tc. The interval must contain valid values, except that for drop-frame timecode, it may also contain timecodes which would normally be dropped. These are then corrected to the next reasonable timecode.

Returns ( [nullable]) –

A new GstVideoTimeCode with tc_inter added or NULL if the interval can't be added.

Since : 1.12

#### GstVideo.VideoTimeCode.prototype.add_interval

    function GstVideo.VideoTimeCode.prototype.add_interval(tc_inter: GstVideo.VideoTimeCodeInterval): {
        // javascript wrapper for 'gst_video_time_code_add_interval'
    }

This makes a component-wise addition of tc_inter to tc. For example, adding ("01:02:03:04", "00:01:00:00") will return "01:03:03:04". When it comes to drop-frame timecodes, adding ("00:00:00;00", "00:01:00:00") will return "00:01:00;02" because of drop-frame oddities. However, adding ("00:09:00;02", "00:01:00:00") will return "00:10:00;00" because this time we can have an exact minute.

Parameters:

`tc` (GstVideo.VideoTimeCode) –

The GstVideo.VideoTimeCode where the diff should be added. This must contain valid timecode values.

`tc_inter` (GstVideo.VideoTimeCodeInterval) –

The GstVideo.VideoTimeCodeInterval to add to tc. The interval must contain valid values, except that for drop-frame timecode, it may also contain timecodes which would normally be dropped. These are then corrected to the next reasonable timecode.

Returns (GstVideo.VideoTimeCode) –

A new GstVideo.VideoTimeCode with tc_inter added or NULL if the interval can't be added.

Since : 1.12

#### GstVideo.VideoTimeCode.add_interval

    def GstVideo.VideoTimeCode.add_interval (self, tc_inter):
        #python wrapper for 'gst_video_time_code_add_interval'

This makes a component-wise addition of tc_inter to tc. For example, adding ("01:02:03:04", "00:01:00:00") will return "01:03:03:04". When it comes to drop-frame timecodes, adding ("00:00:00;00", "00:01:00:00") will return "00:01:00;02" because of drop-frame oddities. However, adding ("00:09:00;02", "00:01:00:00") will return "00:10:00;00" because this time we can have an exact minute.

Parameters:

`tc` (GstVideo.VideoTimeCode) –

The GstVideo.VideoTimeCode where the diff should be added. This must contain valid timecode values.

`tc_inter` (GstVideo.VideoTimeCodeInterval) –

The GstVideo.VideoTimeCodeInterval to add to tc. The interval must contain valid values, except that for drop-frame timecode, it may also contain timecodes which would normally be dropped. These are then corrected to the next reasonable timecode.

Returns (GstVideo.VideoTimeCode) –

A new GstVideo.VideoTimeCode with tc_inter added or NULL if the interval can't be added.

Since : 1.12

#### gst_video_time_code_clear

    gst_video_time_code_clear (GstVideoTimeCode * tc)

Initializes tc with empty/zero/NULL values and frees any memory it might currently use.

Parameters:

`tc` –

a GstVideoTimeCode

Since : 1.10

#### GstVideo.VideoTimeCode.prototype.clear

    function GstVideo.VideoTimeCode.prototype.clear(): {
        // javascript wrapper for 'gst_video_time_code_clear'
    }

Initializes tc with empty/zero/NULL values and frees any memory it might currently use.

Parameters:

`tc` (GstVideo.VideoTimeCode) –

a GstVideo.VideoTimeCode

Since : 1.10

#### GstVideo.VideoTimeCode.clear

    def GstVideo.VideoTimeCode.clear (self):
        #python wrapper for 'gst_video_time_code_clear'

Initializes tc with empty/zero/NULL values and frees any memory it might currently use.

Parameters:

`tc` (GstVideo.VideoTimeCode) –

a GstVideo.VideoTimeCode

Since : 1.10

#### gst_video_time_code_compare

    gint
    gst_video_time_code_compare (const GstVideoTimeCode * tc1,
                                 const GstVideoTimeCode * tc2)

Compares tc1 and tc2. If both have latest daily jam information, it is taken into account. Otherwise, it is assumed that the daily jam of both tc1 and tc2 was at the same time. Both time codes must be valid.

Parameters:

`tc1` –

a valid GstVideoTimeCode

`tc2` –

another valid GstVideoTimeCode

Returns –

1 if tc1 is after tc2, -1 if tc1 is before tc2, 0 otherwise.

Since : 1.10

#### GstVideo.VideoTimeCode.prototype.compare

    function GstVideo.VideoTimeCode.prototype.compare(tc2: GstVideo.VideoTimeCode): {
        // javascript wrapper for 'gst_video_time_code_compare'
    }

Compares tc1 and tc2. If both have latest daily jam information, it is taken into account. Otherwise, it is assumed that the daily jam of both tc1 and tc2 was at the same time. Both time codes must be valid.

Parameters:

`tc1` (GstVideo.VideoTimeCode) –

a valid GstVideo.VideoTimeCode

`tc2` (GstVideo.VideoTimeCode) –

another valid GstVideo.VideoTimeCode

Returns (Number) –

1 if tc1 is after tc2, -1 if tc1 is before tc2, 0 otherwise.

Since : 1.10

#### GstVideo.VideoTimeCode.compare

    def GstVideo.VideoTimeCode.compare (self, tc2):
        #python wrapper for 'gst_video_time_code_compare'

Compares tc1 and tc2. If both have latest daily jam information, it is taken into account. Otherwise, it is assumed that the daily jam of both tc1 and tc2 was at the same time. Both time codes must be valid.

Parameters:

`tc1` (GstVideo.VideoTimeCode) –

a valid GstVideo.VideoTimeCode

`tc2` (GstVideo.VideoTimeCode) –

another valid GstVideo.VideoTimeCode

Returns (int) –

1 if tc1 is after tc2, -1 if tc1 is before tc2, 0 otherwise.

Since : 1.10

#### gst_video_time_code_copy

    GstVideoTimeCode *
    gst_video_time_code_copy (const GstVideoTimeCode * tc)

Parameters:

`tc` –

a GstVideoTimeCode

Returns –

a new GstVideoTimeCode with the same values as tc.

Since : 1.10

#### GstVideo.VideoTimeCode.prototype.copy

    function GstVideo.VideoTimeCode.prototype.copy(): {
        // javascript wrapper for 'gst_video_time_code_copy'
    }

Parameters:

`tc` (GstVideo.VideoTimeCode) –

a GstVideo.VideoTimeCode

Returns (GstVideo.VideoTimeCode) –

a new GstVideo.VideoTimeCode with the same values as tc.

Since : 1.10

#### GstVideo.VideoTimeCode.copy

    def GstVideo.VideoTimeCode.copy (self):
        #python wrapper for 'gst_video_time_code_copy'

Parameters:

`tc` (GstVideo.VideoTimeCode) –

a GstVideo.VideoTimeCode

Returns (GstVideo.VideoTimeCode) –

a new GstVideo.VideoTimeCode with the same values as tc.

Since : 1.10

#### gst_video_time_code_frames_since_daily_jam

    guint64
    gst_video_time_code_frames_since_daily_jam (const GstVideoTimeCode * tc)

Parameters:

`tc` –

a valid GstVideoTimeCode

Returns –

how many frames have passed since the daily jam of tc.

Since : 1.10

#### GstVideo.VideoTimeCode.prototype.frames_since_daily_jam

    function GstVideo.VideoTimeCode.prototype.frames_since_daily_jam(): {
        // javascript wrapper for 'gst_video_time_code_frames_since_daily_jam'
    }

Parameters:

`tc` (GstVideo.VideoTimeCode) –

a valid GstVideo.VideoTimeCode

Returns (Number) –

how many frames have passed since the daily jam of tc.

Since : 1.10

#### GstVideo.VideoTimeCode.frames_since_daily_jam

    def GstVideo.VideoTimeCode.frames_since_daily_jam (self):
        #python wrapper for 'gst_video_time_code_frames_since_daily_jam'

Parameters:

`tc` (GstVideo.VideoTimeCode) –

a valid GstVideo.VideoTimeCode

Returns (int) –

how many frames have passed since the daily jam of tc.

Since : 1.10

#### gst_video_time_code_free

    gst_video_time_code_free (GstVideoTimeCode * tc)

Frees tc.

Parameters:

`tc` –

a GstVideoTimeCode

Since : 1.10

#### GstVideo.VideoTimeCode.prototype.free

    function GstVideo.VideoTimeCode.prototype.free(): {
        // javascript wrapper for 'gst_video_time_code_free'
    }

Frees tc.

Parameters:

`tc` (GstVideo.VideoTimeCode) –

a GstVideo.VideoTimeCode

Since : 1.10

#### GstVideo.VideoTimeCode.free

    def GstVideo.VideoTimeCode.free (self):
        #python wrapper for 'gst_video_time_code_free'

Frees tc.

Parameters:

`tc` (GstVideo.VideoTimeCode) –

a GstVideo.VideoTimeCode

Since : 1.10

#### gst_video_time_code_increment_frame

    gst_video_time_code_increment_frame (GstVideoTimeCode * tc)

Adds one frame to tc.

Parameters:

`tc` –

a valid GstVideoTimeCode

Since : 1.10

#### GstVideo.VideoTimeCode.prototype.increment_frame

    function GstVideo.VideoTimeCode.prototype.increment_frame(): {
        // javascript wrapper for 'gst_video_time_code_increment_frame'
    }

Adds one frame to tc.

Parameters:

`tc` (GstVideo.VideoTimeCode) –

a valid GstVideo.VideoTimeCode

Since : 1.10

#### GstVideo.VideoTimeCode.increment_frame

    def GstVideo.VideoTimeCode.increment_frame (self):
        #python wrapper for 'gst_video_time_code_increment_frame'

Adds one frame to tc.

Parameters:

`tc` (GstVideo.VideoTimeCode) –

a valid GstVideo.VideoTimeCode

Since : 1.10

#### gst_video_time_code_init

    gst_video_time_code_init (GstVideoTimeCode * tc,
                              guint fps_n,
                              guint fps_d,
                              GDateTime * latest_daily_jam,
                              GstVideoTimeCodeFlags flags,
                              guint hours,
                              guint minutes,
                              guint seconds,
                              guint frames,
                              guint field_count)

field_count is 0 for progressive, 1 or 2 for interlaced. latest_daiy_jam reference is stolen from caller.

Initializes tc with the given values. The values are not checked for being in a valid range. To see if your timecode actually has valid content, use gst_video_time_code_is_valid.

Parameters:

`tc` –

a GstVideoTimeCode

`fps_n` –

Numerator of the frame rate

`fps_d` –

Denominator of the frame rate

`latest_daily_jam` ( [allow-none]) –

The latest daily jam of the GstVideoTimeCode

`flags` –

GstVideoTimeCodeFlags

`hours` –

the hours field of GstVideoTimeCode

`minutes` –

the minutes field of GstVideoTimeCode

`seconds` –

the seconds field of GstVideoTimeCode

`frames` –

the frames field of GstVideoTimeCode

`field_count` –

Interlaced video field count

Since : 1.10

#### GstVideo.VideoTimeCode.prototype.init

    function GstVideo.VideoTimeCode.prototype.init(fps_n: Number, fps_d: Number, latest_daily_jam: GDateTime (not introspectable), flags: GstVideo.VideoTimeCodeFlags, hours: Number, minutes: Number, seconds: Number, frames: Number, field_count: Number): {
        // javascript wrapper for 'gst_video_time_code_init'
    }

field_count is 0 for progressive, 1 or 2 for interlaced. latest_daiy_jam reference is stolen from caller.

Initializes tc with the given values. The values are not checked for being in a valid range. To see if your timecode actually has valid content, use GstVideo.VideoTimeCode.prototype.is_valid.

Parameters:

`tc` (GstVideo.VideoTimeCode) –

a GstVideo.VideoTimeCode

`fps_n` (Number) –

Numerator of the frame rate

`fps_d` (Number) –

Denominator of the frame rate

`latest_daily_jam` (GDateTime (not introspectable)) –

The latest daily jam of the GstVideo.VideoTimeCode

`flags` (GstVideo.VideoTimeCodeFlags) –

GstVideo.VideoTimeCodeFlags

`hours` (Number) –

the hours field of GstVideo.VideoTimeCode

`minutes` (Number) –

the minutes field of GstVideo.VideoTimeCode

`seconds` (Number) –

the seconds field of GstVideo.VideoTimeCode

`frames` (Number) –

the frames field of GstVideo.VideoTimeCode

`field_count` (Number) –

Interlaced video field count

Since : 1.10

#### GstVideo.VideoTimeCode.init

    def GstVideo.VideoTimeCode.init (self, fps_n, fps_d, latest_daily_jam, flags, hours, minutes, seconds, frames, field_count):
        #python wrapper for 'gst_video_time_code_init'

field_count is 0 for progressive, 1 or 2 for interlaced. latest_daiy_jam reference is stolen from caller.

Initializes tc with the given values. The values are not checked for being in a valid range. To see if your timecode actually has valid content, use GstVideo.VideoTimeCode.is_valid.

Parameters:

`tc` (GstVideo.VideoTimeCode) –

a GstVideo.VideoTimeCode

`fps_n` (int) –

Numerator of the frame rate

`fps_d` (int) –

Denominator of the frame rate

`latest_daily_jam` (GDateTime (not introspectable)) –

The latest daily jam of the GstVideo.VideoTimeCode

`flags` (GstVideo.VideoTimeCodeFlags) –

GstVideo.VideoTimeCodeFlags

`hours` (int) –

the hours field of GstVideo.VideoTimeCode

`minutes` (int) –

the minutes field of GstVideo.VideoTimeCode

`seconds` (int) –

the seconds field of GstVideo.VideoTimeCode

`frames` (int) –

the frames field of GstVideo.VideoTimeCode

`field_count` (int) –

Interlaced video field count

Since : 1.10

#### gst_video_time_code_init_from_date_time

    gst_video_time_code_init_from_date_time (GstVideoTimeCode * tc,
                                             guint fps_n,
                                             guint fps_d,
                                             GDateTime * dt,
                                             GstVideoTimeCodeFlags flags,
                                             guint field_count)

The resulting config->latest_daily_jam is set to midnight, and timecode is set to the given time.

Will assert on invalid parameters, use gst_video_time_code_init_from_date_time_full for being able to handle invalid parameters.

Parameters:

`tc` –

an uninitialized GstVideoTimeCode

`fps_n` –

Numerator of the frame rate

`fps_d` –

Denominator of the frame rate

`dt` –

GDateTime to convert

`flags` –

GstVideoTimeCodeFlags

`field_count` –

Interlaced video field count

Since : 1.12

#### GstVideo.VideoTimeCode.prototype.init_from_date_time

    function GstVideo.VideoTimeCode.prototype.init_from_date_time(fps_n: Number, fps_d: Number, dt: GDateTime (not introspectable), flags: GstVideo.VideoTimeCodeFlags, field_count: Number): {
        // javascript wrapper for 'gst_video_time_code_init_from_date_time'
    }

The resulting config->latest_daily_jam is set to midnight, and timecode is set to the given time.

Will assert on invalid parameters, use GstVideo.VideoTimeCode.prototype.init_from_date_time_full for being able to handle invalid parameters.

Parameters:

`tc` (GstVideo.VideoTimeCode) –

an uninitialized GstVideo.VideoTimeCode

`fps_n` (Number) –

Numerator of the frame rate

`fps_d` (Number) –

Denominator of the frame rate

`dt` (GDateTime (not introspectable)) –

GDateTime (not introspectable) to convert

`flags` (GstVideo.VideoTimeCodeFlags) –

GstVideo.VideoTimeCodeFlags

`field_count` (Number) –

Interlaced video field count

Since : 1.12

#### GstVideo.VideoTimeCode.init_from_date_time

    def GstVideo.VideoTimeCode.init_from_date_time (self, fps_n, fps_d, dt, flags, field_count):
        #python wrapper for 'gst_video_time_code_init_from_date_time'

The resulting config->latest_daily_jam is set to midnight, and timecode is set to the given time.

Will assert on invalid parameters, use GstVideo.VideoTimeCode.init_from_date_time_full for being able to handle invalid parameters.

Parameters:

`tc` (GstVideo.VideoTimeCode) –

an uninitialized GstVideo.VideoTimeCode

`fps_n` (int) –

Numerator of the frame rate

`fps_d` (int) –

Denominator of the frame rate

`dt` (GDateTime (not introspectable)) –

GDateTime (not introspectable) to convert

`flags` (GstVideo.VideoTimeCodeFlags) –

GstVideo.VideoTimeCodeFlags

`field_count` (int) –

Interlaced video field count

Since : 1.12

#### gst_video_time_code_init_from_date_time_full

    gboolean
    gst_video_time_code_init_from_date_time_full (GstVideoTimeCode * tc,
                                                  guint fps_n,
                                                  guint fps_d,
                                                  GDateTime * dt,
                                                  GstVideoTimeCodeFlags flags,
                                                  guint field_count)

The resulting config->latest_daily_jam is set to midnight, and timecode is set to the given time.

Parameters:

`tc` –

a GstVideoTimeCode

`fps_n` –

Numerator of the frame rate

`fps_d` –

Denominator of the frame rate

`dt` –

GDateTime to convert

`flags` –

GstVideoTimeCodeFlags

`field_count` –

Interlaced video field count

Returns –

TRUE if tc could be correctly initialized to a valid timecode

Since : 1.16

#### GstVideo.VideoTimeCode.prototype.init_from_date_time_full

    function GstVideo.VideoTimeCode.prototype.init_from_date_time_full(fps_n: Number, fps_d: Number, dt: GDateTime (not introspectable), flags: GstVideo.VideoTimeCodeFlags, field_count: Number): {
        // javascript wrapper for 'gst_video_time_code_init_from_date_time_full'
    }

The resulting config->latest_daily_jam is set to midnight, and timecode is set to the given time.

Parameters:

`tc` (GstVideo.VideoTimeCode) –

a GstVideo.VideoTimeCode

`fps_n` (Number) –

Numerator of the frame rate

`fps_d` (Number) –

Denominator of the frame rate

`dt` (GDateTime (not introspectable)) –

GDateTime (not introspectable) to convert

`flags` (GstVideo.VideoTimeCodeFlags) –

GstVideo.VideoTimeCodeFlags

`field_count` (Number) –

Interlaced video field count

Returns (Number) –

TRUE if tc could be correctly initialized to a valid timecode

Since : 1.16

#### GstVideo.VideoTimeCode.init_from_date_time_full

    def GstVideo.VideoTimeCode.init_from_date_time_full (self, fps_n, fps_d, dt, flags, field_count):
        #python wrapper for 'gst_video_time_code_init_from_date_time_full'

The resulting config->latest_daily_jam is set to midnight, and timecode is set to the given time.

Parameters:

`tc` (GstVideo.VideoTimeCode) –

a GstVideo.VideoTimeCode

`fps_n` (int) –

Numerator of the frame rate

`fps_d` (int) –

Denominator of the frame rate

`dt` (GDateTime (not introspectable)) –

GDateTime (not introspectable) to convert

`flags` (GstVideo.VideoTimeCodeFlags) –

GstVideo.VideoTimeCodeFlags

`field_count` (int) –

Interlaced video field count

Returns (bool) –

TRUE if tc could be correctly initialized to a valid timecode

Since : 1.16

#### gst_video_time_code_is_valid

    gboolean
    gst_video_time_code_is_valid (const GstVideoTimeCode * tc)

Parameters:

`tc` –

GstVideoTimeCode to check

Returns –

whether tc is a valid timecode (supported frame rate, hours/minutes/seconds/frames not overflowing)

Since : 1.10

#### GstVideo.VideoTimeCode.prototype.is_valid

    function GstVideo.VideoTimeCode.prototype.is_valid(): {
        // javascript wrapper for 'gst_video_time_code_is_valid'
    }

Parameters:

`tc` (GstVideo.VideoTimeCode) –

GstVideo.VideoTimeCode to check

Returns (Number) –

whether tc is a valid timecode (supported frame rate, hours/minutes/seconds/frames not overflowing)

Since : 1.10

#### GstVideo.VideoTimeCode.is_valid

    def GstVideo.VideoTimeCode.is_valid (self):
        #python wrapper for 'gst_video_time_code_is_valid'

Parameters:

`tc` (GstVideo.VideoTimeCode) –

GstVideo.VideoTimeCode to check

Returns (bool) –

whether tc is a valid timecode (supported frame rate, hours/minutes/seconds/frames not overflowing)

Since : 1.10

#### gst_video_time_code_nsec_since_daily_jam

    guint64
    gst_video_time_code_nsec_since_daily_jam (const GstVideoTimeCode * tc)

Parameters:

`tc` –

a valid GstVideoTimeCode

Returns –

how many nsec have passed since the daily jam of tc.

Since : 1.10

#### GstVideo.VideoTimeCode.prototype.nsec_since_daily_jam

    function GstVideo.VideoTimeCode.prototype.nsec_since_daily_jam(): {
        // javascript wrapper for 'gst_video_time_code_nsec_since_daily_jam'
    }

Parameters:

`tc` (GstVideo.VideoTimeCode) –

a valid GstVideo.VideoTimeCode

Returns (Number) –

how many nsec have passed since the daily jam of tc.

Since : 1.10

#### GstVideo.VideoTimeCode.nsec_since_daily_jam

    def GstVideo.VideoTimeCode.nsec_since_daily_jam (self):
        #python wrapper for 'gst_video_time_code_nsec_since_daily_jam'

Parameters:

`tc` (GstVideo.VideoTimeCode) –

a valid GstVideo.VideoTimeCode

Returns (int) –

how many nsec have passed since the daily jam of tc.

Since : 1.10

#### gst_video_time_code_to_date_time

    GDateTime *
    gst_video_time_code_to_date_time (const GstVideoTimeCode * tc)

The tc.config->latest_daily_jam is required to be non-NULL.

Parameters:

`tc` –

A valid GstVideoTimeCode to convert

Returns ( [nullable]) –

the GDateTime representation of tc or NULL if tc has no daily jam.

Since : 1.10

#### GstVideo.VideoTimeCode.prototype.to_date_time

    function GstVideo.VideoTimeCode.prototype.to_date_time(): {
        // javascript wrapper for 'gst_video_time_code_to_date_time'
    }

The tc.config->latest_daily_jam is required to be non-NULL.

Parameters:

`tc` (GstVideo.VideoTimeCode) –

A valid GstVideo.VideoTimeCode to convert

Returns (GDateTime (not introspectable)) –

the GDateTime (not introspectable) representation of tc or NULL if tc has no daily jam.

Since : 1.10

#### GstVideo.VideoTimeCode.to_date_time

    def GstVideo.VideoTimeCode.to_date_time (self):
        #python wrapper for 'gst_video_time_code_to_date_time'

The tc.config->latest_daily_jam is required to be non-NULL.

Parameters:

`tc` (GstVideo.VideoTimeCode) –

A valid GstVideo.VideoTimeCode to convert

Returns (GDateTime (not introspectable)) –

the GDateTime (not introspectable) representation of tc or NULL if tc has no daily jam.

Since : 1.10

#### gst_video_time_code_to_string

    gchar*
    gst_video_time_code_to_string (const GstVideoTimeCode * tc)

Parameters:

`tc` –

A GstVideoTimeCode to convert

Returns –

the SMPTE ST 2059-1:2015 string representation of tc. That will take the form hh:mm:ss:ff. The last separator (between seconds and frames) may vary:

';' for drop-frame, non-interlaced content and for drop-frame interlaced field 2 ',' for drop-frame interlaced field 1 ':' for non-drop-frame, non-interlaced content and for non-drop-frame interlaced field 2 '.' for non-drop-frame interlaced field 1

Since : 1.10

#### GstVideo.VideoTimeCode.prototype.to_string

    function GstVideo.VideoTimeCode.prototype.to_string(): {
        // javascript wrapper for 'gst_video_time_code_to_string'
    }

Parameters:

`tc` (GstVideo.VideoTimeCode) –

A GstVideo.VideoTimeCode to convert

Returns (String) –

the SMPTE ST 2059-1:2015 string representation of tc. That will take the form hh:mm:ss:ff. The last separator (between seconds and frames) may vary:

';' for drop-frame, non-interlaced content and for drop-frame interlaced field 2 ',' for drop-frame interlaced field 1 ':' for non-drop-frame, non-interlaced content and for non-drop-frame interlaced field 2 '.' for non-drop-frame interlaced field 1

Since : 1.10

#### GstVideo.VideoTimeCode.to_string

    def GstVideo.VideoTimeCode.to_string (self):
        #python wrapper for 'gst_video_time_code_to_string'

Parameters:

`tc` (GstVideo.VideoTimeCode) –

A GstVideo.VideoTimeCode to convert

Returns (str) –

the SMPTE ST 2059-1:2015 string representation of tc. That will take the form hh:mm:ss:ff. The last separator (between seconds and frames) may vary:

';' for drop-frame, non-interlaced content and for drop-frame interlaced field 2 ',' for drop-frame interlaced field 1 ':' for non-drop-frame, non-interlaced content and for non-drop-frame interlaced field 2 '.' for non-drop-frame interlaced field 1

Since : 1.10

## GstVideoTimeCodeConfig

Supported frame rates: 30000/1001, 60000/1001 (both with and without drop frame), and integer frame rates e.g. 25/1, 30/1, 50/1, 60/1.

The configuration of the time code.

### Members

`fps_n` (guint) –

Numerator of the frame rate

`fps_d` (guint) –

Denominator of the frame rate

`flags` (GstVideoTimeCodeFlags) –

the corresponding GstVideoTimeCodeFlags

`latest_daily_jam` (GDateTime *) –

The latest daily jam information, if present, or NULL

Since : 1.10

## GstVideo.VideoTimeCodeConfig

Supported frame rates: 30000/1001, 60000/1001 (both with and without drop frame), and integer frame rates e.g. 25/1, 30/1, 50/1, 60/1.

The configuration of the time code.

### Members

`fps_n` (Number) –

Numerator of the frame rate

`fps_d` (Number) –

Denominator of the frame rate

`flags` (GstVideo.VideoTimeCodeFlags) –

the corresponding GstVideo.VideoTimeCodeFlags

`latest_daily_jam` (GDateTime (not introspectable)) –

The latest daily jam information, if present, or NULL

Since : 1.10

## GstVideo.VideoTimeCodeConfig

Supported frame rates: 30000/1001, 60000/1001 (both with and without drop frame), and integer frame rates e.g. 25/1, 30/1, 50/1, 60/1.

The configuration of the time code.

### Members

`fps_n` (int) –

Numerator of the frame rate

`fps_d` (int) –

Denominator of the frame rate

`flags` (GstVideo.VideoTimeCodeFlags) –

the corresponding GstVideo.VideoTimeCodeFlags

`latest_daily_jam` (GDateTime (not introspectable)) –

The latest daily jam information, if present, or NULL

Since : 1.10

## GstVideoTimeCodeInterval

A representation of a difference between two GstVideoTimeCode instances. Will not necessarily correspond to a real timecode (e.g. 00:00:10;00)

### Members

`hours` (guint) –

the hours field of GstVideoTimeCodeInterval

`minutes` (guint) –

the minutes field of GstVideoTimeCodeInterval

`seconds` (guint) –

the seconds field of GstVideoTimeCodeInterval

`frames` (guint) –

the frames field of GstVideoTimeCodeInterval

Since : 1.12

## GstVideo.VideoTimeCodeInterval

A representation of a difference between two GstVideo.VideoTimeCode instances. Will not necessarily correspond to a real timecode (e.g. 00:00:10;00)

### Members

`hours` (Number) –

the hours field of GstVideo.VideoTimeCodeInterval

`minutes` (Number) –

the minutes field of GstVideo.VideoTimeCodeInterval

`seconds` (Number) –

the seconds field of GstVideo.VideoTimeCodeInterval

`frames` (Number) –

the frames field of GstVideo.VideoTimeCodeInterval

Since : 1.12

## GstVideo.VideoTimeCodeInterval

A representation of a difference between two GstVideo.VideoTimeCode instances. Will not necessarily correspond to a real timecode (e.g. 00:00:10;00)

### Members

`hours` (int) –

the hours field of GstVideo.VideoTimeCodeInterval

`minutes` (int) –

the minutes field of GstVideo.VideoTimeCodeInterval

`seconds` (int) –

the seconds field of GstVideo.VideoTimeCodeInterval

`frames` (int) –

the frames field of GstVideo.VideoTimeCodeInterval

Since : 1.12

### Constructors

#### gst_video_time_code_interval_new

    GstVideoTimeCodeInterval *
    gst_video_time_code_interval_new (guint hours,
                                      guint minutes,
                                      guint seconds,
                                      guint frames)

Parameters:

`hours` –

the hours field of GstVideoTimeCodeInterval

`minutes` –

the minutes field of GstVideoTimeCodeInterval

`seconds` –

the seconds field of GstVideoTimeCodeInterval

`frames` –

the frames field of GstVideoTimeCodeInterval

Returns –

a new GstVideoTimeCodeInterval with the given values.

Since : 1.12

#### GstVideo.VideoTimeCodeInterval.prototype.new

    function GstVideo.VideoTimeCodeInterval.prototype.new(hours: Number, minutes: Number, seconds: Number, frames: Number): {
        // javascript wrapper for 'gst_video_time_code_interval_new'
    }

Parameters:

`hours` (Number) –

the hours field of GstVideo.VideoTimeCodeInterval

`minutes` (Number) –

the minutes field of GstVideo.VideoTimeCodeInterval

`seconds` (Number) –

the seconds field of GstVideo.VideoTimeCodeInterval

`frames` (Number) –

the frames field of GstVideo.VideoTimeCodeInterval

Returns (GstVideo.VideoTimeCodeInterval) –

a new GstVideo.VideoTimeCodeInterval with the given values.

Since : 1.12

#### GstVideo.VideoTimeCodeInterval.new

    def GstVideo.VideoTimeCodeInterval.new (hours, minutes, seconds, frames):
        #python wrapper for 'gst_video_time_code_interval_new'

Parameters:

`hours` (int) –

the hours field of GstVideo.VideoTimeCodeInterval

`minutes` (int) –

the minutes field of GstVideo.VideoTimeCodeInterval

`seconds` (int) –

the seconds field of GstVideo.VideoTimeCodeInterval

`frames` (int) –

the frames field of GstVideo.VideoTimeCodeInterval

Returns (GstVideo.VideoTimeCodeInterval) –

a new GstVideo.VideoTimeCodeInterval with the given values.

Since : 1.12

#### gst_video_time_code_interval_new_from_string

    GstVideoTimeCodeInterval *
    gst_video_time_code_interval_new_from_string (const gchar* tc_inter_str)

tc_inter_str must only have ":" as separators.

Parameters:

`tc_inter_str` –

The string that represents the GstVideoTimeCodeInterval

Returns ( [nullable]) –

a new GstVideoTimeCodeInterval from the given string or NULL if the string could not be passed.

Since : 1.12

#### GstVideo.VideoTimeCodeInterval.prototype.new_from_string

    function GstVideo.VideoTimeCodeInterval.prototype.new_from_string(tc_inter_str: String): {
        // javascript wrapper for 'gst_video_time_code_interval_new_from_string'
    }

tc_inter_str must only have ":" as separators.

Parameters:

`tc_inter_str` (String) –

The string that represents the GstVideo.VideoTimeCodeInterval

Returns (GstVideo.VideoTimeCodeInterval) –

a new GstVideo.VideoTimeCodeInterval from the given string or NULL if the string could not be passed.

Since : 1.12

#### GstVideo.VideoTimeCodeInterval.new_from_string

    def GstVideo.VideoTimeCodeInterval.new_from_string (tc_inter_str):
        #python wrapper for 'gst_video_time_code_interval_new_from_string'

tc_inter_str must only have ":" as separators.

Parameters:

`tc_inter_str` (str) –

The string that represents the GstVideo.VideoTimeCodeInterval

Returns (GstVideo.VideoTimeCodeInterval) –

a new GstVideo.VideoTimeCodeInterval from the given string or NULL if the string could not be passed.

Since : 1.12

### Methods

#### gst_video_time_code_interval_clear

    gst_video_time_code_interval_clear (GstVideoTimeCodeInterval * tc)

Initializes tc with empty/zero/NULL values.

Parameters:

`tc` –

a GstVideoTimeCodeInterval

Since : 1.12

#### GstVideo.VideoTimeCodeInterval.prototype.clear

    function GstVideo.VideoTimeCodeInterval.prototype.clear(): {
        // javascript wrapper for 'gst_video_time_code_interval_clear'
    }

Initializes tc with empty/zero/NULL values.

Parameters:

`tc` (GstVideo.VideoTimeCodeInterval) –

a GstVideo.VideoTimeCodeInterval

Since : 1.12

#### GstVideo.VideoTimeCodeInterval.clear

    def GstVideo.VideoTimeCodeInterval.clear (self):
        #python wrapper for 'gst_video_time_code_interval_clear'

Initializes tc with empty/zero/NULL values.

Parameters:

`tc` (GstVideo.VideoTimeCodeInterval) –

a GstVideo.VideoTimeCodeInterval

Since : 1.12

#### gst_video_time_code_interval_copy

    GstVideoTimeCodeInterval *
    gst_video_time_code_interval_copy (const GstVideoTimeCodeInterval * tc)

Parameters:

`tc` –

a GstVideoTimeCodeInterval

Returns –

a new GstVideoTimeCodeInterval with the same values as tc.

Since : 1.12

#### GstVideo.VideoTimeCodeInterval.prototype.copy

    function GstVideo.VideoTimeCodeInterval.prototype.copy(): {
        // javascript wrapper for 'gst_video_time_code_interval_copy'
    }

Parameters:

`tc` (GstVideo.VideoTimeCodeInterval) –

a GstVideo.VideoTimeCodeInterval

Returns (GstVideo.VideoTimeCodeInterval) –

a new GstVideo.VideoTimeCodeInterval with the same values as tc.

Since : 1.12

#### GstVideo.VideoTimeCodeInterval.copy

    def GstVideo.VideoTimeCodeInterval.copy (self):
        #python wrapper for 'gst_video_time_code_interval_copy'

Parameters:

`tc` (GstVideo.VideoTimeCodeInterval) –

a GstVideo.VideoTimeCodeInterval

Returns (GstVideo.VideoTimeCodeInterval) –

a new GstVideo.VideoTimeCodeInterval with the same values as tc.

Since : 1.12

#### gst_video_time_code_interval_free

    gst_video_time_code_interval_free (GstVideoTimeCodeInterval * tc)

Frees tc.

Parameters:

`tc` –

a GstVideoTimeCodeInterval

Since : 1.12

#### GstVideo.VideoTimeCodeInterval.prototype.free

    function GstVideo.VideoTimeCodeInterval.prototype.free(): {
        // javascript wrapper for 'gst_video_time_code_interval_free'
    }

Frees tc.

Parameters:

`tc` (GstVideo.VideoTimeCodeInterval) –

a GstVideo.VideoTimeCodeInterval

Since : 1.12

#### GstVideo.VideoTimeCodeInterval.free

    def GstVideo.VideoTimeCodeInterval.free (self):
        #python wrapper for 'gst_video_time_code_interval_free'

Frees tc.

Parameters:

`tc` (GstVideo.VideoTimeCodeInterval) –

a GstVideo.VideoTimeCodeInterval

Since : 1.12

#### gst_video_time_code_interval_init

    gst_video_time_code_interval_init (GstVideoTimeCodeInterval * tc,
                                       guint hours,
                                       guint minutes,
                                       guint seconds,
                                       guint frames)

Initializes tc with the given values.

Parameters:

`tc` –

a GstVideoTimeCodeInterval

`hours` –

the hours field of GstVideoTimeCodeInterval

`minutes` –

the minutes field of GstVideoTimeCodeInterval

`seconds` –

the seconds field of GstVideoTimeCodeInterval

`frames` –

the frames field of GstVideoTimeCodeInterval

Since : 1.12

#### GstVideo.VideoTimeCodeInterval.prototype.init

    function GstVideo.VideoTimeCodeInterval.prototype.init(hours: Number, minutes: Number, seconds: Number, frames: Number): {
        // javascript wrapper for 'gst_video_time_code_interval_init'
    }

Initializes tc with the given values.

Parameters:

`tc` (GstVideo.VideoTimeCodeInterval) –

a GstVideo.VideoTimeCodeInterval

`hours` (Number) –

the hours field of GstVideo.VideoTimeCodeInterval

`minutes` (Number) –

the minutes field of GstVideo.VideoTimeCodeInterval

`seconds` (Number) –

the seconds field of GstVideo.VideoTimeCodeInterval

`frames` (Number) –

the frames field of GstVideo.VideoTimeCodeInterval

Since : 1.12

#### GstVideo.VideoTimeCodeInterval.init

    def GstVideo.VideoTimeCodeInterval.init (self, hours, minutes, seconds, frames):
        #python wrapper for 'gst_video_time_code_interval_init'

Initializes tc with the given values.

Parameters:

`tc` (GstVideo.VideoTimeCodeInterval) –

a GstVideo.VideoTimeCodeInterval

`hours` (int) –

the hours field of GstVideo.VideoTimeCodeInterval

`minutes` (int) –

the minutes field of GstVideo.VideoTimeCodeInterval

`seconds` (int) –

the seconds field of GstVideo.VideoTimeCodeInterval

`frames` (int) –

the frames field of GstVideo.VideoTimeCodeInterval

Since : 1.12

## Enumerations

### GstVideoTimeCodeFlags

Flags related to the time code information. For drop frame, only 30000/1001 and 60000/1001 frame rates are supported.

##### Members

`GST_VIDEO_TIME_CODE_FLAGS_NONE` (0) –

No flags

`GST_VIDEO_TIME_CODE_FLAGS_DROP_FRAME` (1) –

Whether we have drop frame rate

`GST_VIDEO_TIME_CODE_FLAGS_INTERLACED` (2) –

Whether we have interlaced video

Since : 1.10

### GstVideo.VideoTimeCodeFlags

Flags related to the time code information. For drop frame, only 30000/1001 and 60000/1001 frame rates are supported.

##### Members

`GstVideo.VideoTimeCodeFlags.NONE` (0) –

No flags

`GstVideo.VideoTimeCodeFlags.DROP_FRAME` (1) –

Whether we have drop frame rate

`GstVideo.VideoTimeCodeFlags.INTERLACED` (2) –

Whether we have interlaced video

Since : 1.10

### GstVideo.VideoTimeCodeFlags

Flags related to the time code information. For drop frame, only 30000/1001 and 60000/1001 frame rates are supported.

##### Members

`GstVideo.VideoTimeCodeFlags.NONE` (0) –

No flags

`GstVideo.VideoTimeCodeFlags.DROP_FRAME` (1) –

Whether we have drop frame rate

`GstVideo.VideoTimeCodeFlags.INTERLACED` (2) –

Whether we have interlaced video

Since : 1.10

## Constants

### GST_VIDEO_TIME_CODE_INIT

    #define GST_VIDEO_TIME_CODE_INIT { {0, 0, 0, NULL}, 0, 0, 0, 0, 0 }

The results of the search are